.modal-error {
  z-index: 99999;
}
.modal-error .modal-content {
    background: rgb(233, 24, 24);
    color: white;
    font-size: 2.8rem;
}

.modal-success {
  z-index: 99999;
}
.modal-success .modal-content {
    background: rgb(0, 181, 169);
    color: white;
    font-size: 2.8rem;
}

.daterangepicker {
  z-index: 9999!important;
}

@media (max-width: 564px) {
  .daterangepicker {
    width: 100% !important;
    overflow-y: scroll;
  }
  .daterangepicker .drp-calendar {
    max-width: 100% !important;
  }
  /* .daterangepicker .drop-calendar.left {
    padding: 0 !important;
    max-width: 100% !important;
  }
  .daterangepicker .drop-calendar.right {
    padding: 0 !important;
    max-width: 100% !important;
  } */
  .daterangepicker.show-calendar .drp-calendar {
    height: 36vh !important;
  }
  .lazy-wrap{
    padding-top: 0px!important;
  }
}

.promo-code {
  width: 50% !important;
  font-size: 14px;
  text-align: left;
  padding: 12px;
  display: inline-block;
}
.promo-code input {
  border: 1px solid #184b84;
  color: #184b84;
  padding: 2px 0px;
  line-height: 2rem;
  text-align: center;
  width: 100%;
}
.promo-code input::placeholder {
  color: #a3b8ce;
  opacity: 1; /* Firefox */
}
.promo-code input:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #a3b8ce;
}

.promo-code input::-ms-input-placeholder { /* Microsoft Edge */
    color: #a3b8ce;
}
.final-submit {
  color: #124f8e;
  position: relative;
  padding-top: 20px;
  padding-bottom: 0;
  font-weight: 700;
  font-family: "Rokkitt";
  font-size: 17px;
  display: inline-block;
  width: 50%;
  float: right;
  padding: 12px;
}

#fieldEmail {
  width: 90%;
  height: 57px;
  margin: 0 2%;
}

.subscribe {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;
  width: 100%;
}

.subscribe-input-name{
  height: 25px!important;
  width: 100%;
}
.subscribe-input-email{
  height: 25px!important;
  width: 100%;
  margin-top: 8px;
}
.subscribe-checkbox{
  display: inline-flex;
  margin-top: 5px;
  text-align: left;
  color: #fff;
  margin-left: 20px;
}


@media (max-width: 1400px) and (min-width: 1200px) {
  footer .first .subscribe {
      width: 100%;
  }
}

@media (max-width: 768px) {
  #subForm .mobile-row {
    margin-top: 2rem;
    margin-bottom: 2rem;
  }
}
.mobile-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.disclaimer-label {
  margin-left: 10px;
}

@media (max-width: 768px) {
  .mobile-row {
    display: flex;
    flex-direction: row;
  }
  .subscribe form {
    display: flex;
    flex-direction: column;
  }
  #fieldEmail {
    width: 100%;
    margin-bottom: 5px;
    height: 40px;
  }
  .subscribe form label {
    min-width: 85%;
    margin-bottom: 5px;
    margin-left: 12%;
  }
  #cm-privacy-consent {
    margin: 0 2%;
    width: 15px;
  }
  .js-cm-submit-button {
    width: 100%;
  }
  .subscribe-text {
    text-align: center;
    width: 96%;
  }
  .subscribe {
    display: flex;
    flex-direction: column;
  }
}


/* * * * * * * * * * * * * *
  BUBBLE PROMOTION
 * * * * * * * * * * * * * */
.bubble-promo {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
}
.bubble-promo .bg-img {
    /* //background: url(../../images/homepage/Cheapest-Rates-Badge.png); */
    background: url(../../images/homepage/stay4-pay3.png);
    background-position: center;
    background-size: cover;
    width: 16vw;
    height: 16vw;
    margin: auto;
    z-index: 2;
    transform: rotate(-20deg)translate(-14vw,-14vw);
}
@media (max-width: 768px) {
    .bubble-promo .bg-img {
        width: 25vw;
        height: 25vw;
        transform: rotate(-20deg)translate(-26vw,-30vw);
    }
}

@media (min-width: 1200px) {
  .grid-item .content-wrap .content-block .elem-wrap.promo h4 {
      font-size: 2vw;
  }
}


/* * * * * * * * * * * * * *
  FRINGE FESTIVAL
 * * * * * * * * * * * * * */
.fringe-festival {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
}
.fringe-festival .bg-img {
    background: url(../../images/homepage/fringe-festival.png?v1);
    background-position: center;
    background-size: cover;
    width: 9vw;
    height: 7vw;
    margin: auto;
    z-index: 2;
    transform: translate(40vw, -41vh);
}
@media (max-height: 414px) {
    .fringe-festival .bg-img {
      display: none;
    }
}

@media (max-width: 768px) {
  .btn--menu--group--booking{
    margin-left: 0%!important;
    margin-right: 0%!important;
    font-size: 1.2rem;
  }
  .btn--small--menu--group--booking{
    margin-left: 0%!important;
    margin-right: 0%!important;
  }
    .fringe-festival .bg-img {
      background: url(../../images/homepage/fringe-festival-mobile.png?v1);
      background-position: center;
      background-size: cover;
      width: 27vw;
      height: 22vw;
      transform: translate(0vw, -40vh);
    }

}

@media (min-width: 1200px) {
  .grid-item .content-wrap .content-block .elem-wrap.promo h4 {
      font-size: 2vw;
  }
  .lazy-wrap{
    padding-top: 0px!important;
  }

}

/* * * * * * * * * * * * * *
  Lazy lee
 * * * * * * * * * * * * * */
.lazy--icon{
  display: inline-flex;
}
.btn--block{
  display: flex;
  margin-bottom: 20px;
}
.btn--menu{
  display: inline!important;
  background-color: rgb(0, 173, 160);
  padding:5px 90px;
}
.btn--book{
  display: inline!important;
  background-color: rgb(234, 70, 54);
}
.lazy-lee-btn-warpp{
  margin: 15px 0px;
}
.btn--menu--group--booking{
  margin-left: 5%;
  margin-right: 5%;
  margin-top:0px;
  background-color: rgb(0, 173, 160);
}
.lazy--opening{
  font-weight: 900;
  font-size: 21px;
}
.lazy--content{
  margin-left: -10%;
  margin-right: -10%;
}


@media (max-width: 1420px){
  .btn--menu{
    font-size: small;
    padding:5px 65px;
  }
  .btn--book{
    font-size: small;
  }
}

@media (max-width: 1200px) {
  .lazy-lee-btn-warpp{
    margin: 5px 0px;
  }
}

@media (max-width: 564px) {
  .lazy-lee-btn-warpp{
    margin: 15px 0px;
  }
  .btn--menu{
    display: block!important;
  }
  .btn--book{
    display: block!important;
  }
}
#revinate_contact_api_form .login::placeholder { /* Most modern browsers support this now. */
  color:    rgb(82, 80, 80);
}

.login_bar {
  border-style: solid;
  border-width: 1px;
  border-color: #fff;
  width: 510px;
  height: 50px;
  background: white;
  border-radius: 10px;
  position: relative;
  z-index: 1;
  overflow: hidden;
}

.login {
  border: 1px solid #fff!important;
  font-family: unset!important;
  background: transparent;
  position: absolute;
  height: 100%;
  width: 312px;
  padding-left: 10px;
  text-align: left;
  line-height: 50px;
  vertical-align: middle;
  z-index: 10;

}

.subscribe_button:hover{
  background: #02c2b5;
  cursor:pointer;
}

.subscribe_button {
  font-size: x-large;
  border: 1px solid #fff;
  background: #01b5aa;
  position: absolute;
  top: -53px;
  left: 310px;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
  height: 150px;
  width: 208px;
  text-align: center;
  line-height: 150px;
  vertical-align: middle;
  color: white;
}


.subscribing{
  background: #CDD4DC;
  height: 100%;
  width: 179px;
  z-index: 5;
  position: absolute;
  left:-300px;
  display: inline-block;

}



.thanks{
  background: transparent;
  height: 100%;
  width: 300px;
  z-index: 5;
  text-align: left;
  line-height: 50px;
  vertical-align: middle;
  padding-left: 10px;
  position: absolute;
  top:50px;
  display: inline-block;

}
@media (max-width: 1000px) {
  .mobile-input{
    top: 20%;
  }
}

@media (max-width: 768px) {
  .mobile-input{
    margin-left: 12%;
    top: 20%;
  }
}

@media (max-width: 564px) {
  .login_bar {
    width: 405px;
    height: 41px;
  }
  .subscribe_button {
    font-size: medium;
    top: -57px;
    left: 290px;
    height: 150px;
    width: 117px;
    line-height: 150px;
  }
  .mobile-input{
    margin-left: 2%;
  }
  .subscribe form label{
    margin-left: 2%;
  }
}
@media (max-width: 400px) {
  .login{
    font-size: 14px;
  }
  .login_bar {
    width: 270px;
    height: 41px;
  }
  .subscribe_button {
    font-size: small;
    top: -57px;
    left: 171px;
    height: 150px;
    width: 100px;
    line-height: 150px;
  }
  .mobile-input{
    margin-left: 2%;
  }
  .subscribe form label{
    margin-left: 2%;
  }
}

.copyright-event{
  position: absolute;
  right: 3%;
  bottom: 3%;
}

@media (max-width: 564px) {
  .copyright-event{
    position: absolute;
    right: auto;
    bottom: auto;
  }
}

.language{
  display: inline-flex;
}
.language a{
  cursor: pointer;
}

/* * * * * * * * * * * * *
 * BOOKNOW
 * * * * * * * * * * * * */
.booknow.overlay {
  opacity: 0;
  width: 0!important;
  height: auto;
  padding: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: unset;
  right: 0;
  overflow-x: hidden;
  transition: 0.4s;
}

.booknow.overlay.open {
  width: auto!important;
  opacity: 1;
  padding: 2rem 5rem;
  left: unset;
  right: 0;
  width: 100vw;
  max-height: calc(100vh - 3rem);
  min-height: 100vh;
}

.booknow.overlay .overlay-content {
  min-width: auto!important;
  overflow-y: auto;
  text-align: center;
  color: #ffffff;
}

.booknow.overlay .overlay-content .form-group {
  margin-bottom: 30px;
}

.booknow.overlay .overlay-content label {
  font-size: 18px;
  font-weight: 800;
}

.booknow.overlay .overlay-content input {
  cursor: pointer;
  border-radius: 0;
  border: 3px solid #fff;
  padding: 2rem 2rem;
  font-size: 20px;
  color: #ffffff;
}
.booknow.overlay .overlay-content input[name=promo]
{
  cursor: text;
}
.booknow.overlay .overlay-content input[type=radio] {
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  display: inline-block;
  position: relative;
  background-color: #f1f1f1;
  color: #666;
  top: 10px;
  padding: 1.3rem 1.3rem;
  border: 0;
  border-radius: 0;
  cursor: pointer;
  margin-right: 7px;
  outline: none;
  border: 3px solid #fff!important;
}
.booknow.overlay .overlay-content input[type=radio]:checked::before
{
  color: #fff;
  position: absolute;
  font: 13px/1 'Open Sans', sans-serif;
  left: 5px;
  top: -2px;
  content: '\02143';
  transform: rotate(40deg);
  font-size: 24px;
  font-weight: 900;
}

.booknow.overlay .overlay-content select {
  cursor: pointer;
  border: 3px solid #fff;
  padding: 2rem 2rem;
  font-size: 20px;
  color: #ffffff;
  height: 5rem;
  text-indent: 1.5rem;
  -webkit-appearance: none;
  -moz-appearance: none;
  border-radius: 0;
  background-position: right 50%!important;
  background-repeat: no-repeat!important;
  background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAEIAAABCBAMAAAAReh3bAAAAJFBMVEUAAAD///////////////////////////////////////////+0CY3pAAAAC3RSTlMAAw4dNVddZ3TX6OuhbfAAAABLSURBVEjHY2AYBaNgFAxpwNIBBu0COFVw7oYAA5wqmFaDFWzDY40WWEUCHhVgQ7bhdasWASPAhmwj4GEtAkYADZk6mixGwSgYCQAAyxccpts/2/YAAAAASUVORK5CYII=')!important;
  padding: .5em;
  padding-right: 1.5em
}

.booknow.overlay .overlay-content .form-group .btn {
  color: #fff;
  background: rgb(24, 75, 132);
  width: 100%;
  font-size: 24px;
}

.booknow.overlay .overlay-content .form-group .btn {
  margin-top: 0;
}

.date-icon {
  background-position: right 50%!important;
  background-repeat: no-repeat!important;
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACwAAAAsCAMAAAApWqozAAAAZlBMVEUAAAD///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////+Vn2moAAAAIXRSTlMAAQMEBQYLFUBOT1BSVW97fI+Soquttbe+wMXP1d7o7/UMhn5KAAAAm0lEQVQ4y+2S2w6CMAxAC0xAUVGZrtxk/f+ftB2amMB48mExO8ma83CWdMkAIsFz0Ho/W3Z51NlmeySmcnpju27Gd0oS0k5tB53dSFPVEgC1SiADhlTqayvZgeM3EhOdPPG0Fk+e2CV5/on7XT/f9scLfhIbHmUpijLOfEzosUXEceSBYvgUCX3n+MAvhrUfOnjiojELmgIi/8MLxOshK/8bCjcAAAAASUVORK5CYII=")!important;
}

.previewDepart {
  position: relative;
}

.previewDepart .daterangepicker {
  position: absolute;
  color: #000;
}

.previewArrive {
  position: relative;
}

.previewArrive .daterangepicker {
  position: absolute;
  color: #000;
}

.daterangepicker.ltr {
  width: 100%;
}

.daterangepicker.ltr .drp-calendar.left {
  float: none!important;
}

@media (max-width: 564px) {
  .booknow.overlay {
    width: 0!important;
    padding: 0;
    text-align: center;
  }
  .booknow.overlay.open {
    width: 101vw!important;
    text-align: center;
  }
  .booknow.overlay .overlay-content label {
    font-size: 14px;
  }
  .booknow.overlay .overlay-content input {
    font-size: 16px;
    padding: 1rem;
  }

  .booknow.overlay .overlay-content input[type=radio]:checked::before
  {
    font-size: 20px;
  }

  .booknow.overlay .overlay-content select {
    font-size: 16px;
    padding: 0;
    height: 3.5rem;
    text-indent: 1rem;
  }

  .booknow.overlay .overlay-content .form-group .btn {
    font-size: 20px;
  }
}

.booknow.overlay .overlay-content .ends {
  opacity: 0;
}

/* Desktop with a short height */
@media (min-width: 1024px) and (max-height: 720px) {
  .booknow.overlay .overlay-content .form-group {
    margin-bottom: 15px;
  }
}
/* iPhone x */
@media (max-height: 812px) and (orientation: portrait) {
  .booknow.overlay .overlay-content .form-group {
    margin-bottom: 20px;
  }
  .radio-group {
    margin-bottom: 30px!important;
  }
}

/* iPhone 6/7/8 */
@media (max-height: 667px) and (orientation: portrait) {
  .booknow.overlay .overlay-content .form-group {
    margin-bottom: 20px;
  }
  .radio-group {
    margin-bottom: 30px!important;
  }
}

/* Small Phone */
@media (max-height: 640px) and (orientation: portrait) {
  .booknow.overlay .overlay-content .form-group {
    margin-bottom: 15px;
  }
  .radio-group {
    margin-bottom: 25px!important;
  }
}


